## net.percederberg.mib.asn1.parser
Class ASCII_CharStream

    java.lang.Object
      |
      +--net.percederberg.mib.asn1.parser.ASCII_CharStream

public final class ASCII_CharStream
extends java.lang.Object

An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).

Field Summary
`static int` `bufpos`
`static boolean` `staticFlag`

Constructor Summary
`ASCII_CharStream(java.io.InputStream dstream, int startline, int startcolumn)`
`ASCII_CharStream(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`ASCII_CharStream(java.io.Reader dstream, int startline, int startcolumn)`
`ASCII_CharStream(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Method Summary
`static void` `adjustBeginLineColumn(int newLine, int newCol)` Method to adjust line and column numbers for the start of a token.
`static void` `backup(int amount)`
`static char` `BeginToken()`
`static void` `Done()`
`static int` `getBeginColumn()`
`static int` `getBeginLine()`
`static int` `getColumn()` Deprecated.
`static int` `getEndColumn()`
`static int` `getEndLine()`
`static java.lang.String` `GetImage()`
`static int` `getLine()` Deprecated.
`static char[]` `GetSuffix(int len)`
`static char` `readChar()`
`static void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn)`
`static void` `ReInit(java.io.InputStream dstream, int startline, int startcolumn, int buffersize)`
`static void` `ReInit(java.io.Reader dstream, int startline, int startcolumn)`
`static void` `ReInit(java.io.Reader dstream, int startline, int startcolumn, int buffersize)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticFlag

    public static final boolean staticFlag

### bufpos

    public static int bufpos

Constructor Detail

### ASCII_CharStream

    public ASCII_CharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### ASCII_CharStream

    public ASCII_CharStream(java.io.Reader dstream,
                            int startline,
                            int startcolumn)

### ASCII_CharStream

    public ASCII_CharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn,
                            int buffersize)

### ASCII_CharStream

    public ASCII_CharStream(java.io.InputStream dstream,
                            int startline,
                            int startcolumn)

Method Detail

### BeginToken

    public static final char BeginToken()
                                 throws java.io.IOException

### readChar

    public static final char readChar()
                               throws java.io.IOException

### getColumn

    public static final int getColumn()

  Deprecated.

  See Also:
    `getEndColumn()`

### getLine

    public static final int getLine()

  Deprecated.

  See Also:
    `getEndLine()`

### getEndColumn

    public static final int getEndColumn()

### getEndLine

    public static final int getEndLine()

### getBeginColumn

    public static final int getBeginColumn()

### getBeginLine

    public static final int getBeginLine()

### backup

    public static final void backup(int amount)

### ReInit

    public static void ReInit(java.io.Reader dstream,
                              int startline,
                              int startcolumn,
                              int buffersize)

### ReInit

    public static void ReInit(java.io.Reader dstream,
                              int startline,
                              int startcolumn)

### ReInit

    public static void ReInit(java.io.InputStream dstream,
                              int startline,
                              int startcolumn,
                              int buffersize)

### ReInit

    public static void ReInit(java.io.InputStream dstream,
                              int startline,
                              int startcolumn)

### GetImage

    public static final java.lang.String GetImage()

### GetSuffix

    public static final char[] GetSuffix(int len)

### Done

    public static void Done()

### adjustBeginLineColumn

    public static void adjustBeginLineColumn(int newLine,
                                             int newCol)

  Method to adjust line and column numbers for the start of a token.